<?php

namespace App\Entities\TipoExtorno;

use App\Utils\Builder;

class TipoExtornoBuilder implements Builder {
	protected $id;
	protected $descricao;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	
	
	public function build(): TipoExtorno {
		
		$tipo_procedimento = new TipoExtorno();
		if (isset( $this->id )) {
			$tipo_procedimento->setId( $this->id );
		}
		if (isset( $this->descricao )) {
			$tipo_procedimento->setDescricao( $this->descricao );
		}
		if (isset( $this->criado_por )) {
			$tipo_procedimento->setCriadoPor( $this->criado_por );
		}
		if (isset( $this->data_criacao )) {
			$tipo_procedimento->setDataCriacao( $this->data_criacao );
		}
		if (isset( $this->hora_criacao )) {
			$tipo_procedimento->setHoraCriacao( $this->hora_criacao );
		}
		return $tipo_procedimento;
		
	}

	public function setId($id): TipoExtornoBuilder {

		$this->id = $id;
		return $this;

	}

	public function setDescricao($descricao): TipoExtornoBuilder {

		$this->descricao = $descricao;
		return $this;

	}

	
	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;
	}


	/**
	 * @param mixed $data_craicao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
		return $this;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
		return $this;
	}



}